Subject: Re: [PATCH 1/3] t3700: note a .gitignore matching fault

From: Johannes Sixt <[email-masked]>
Date: Wed, 04 May 2011 08:06:37 +0200

Am 5/4/2011 3:05, schrieb Nguyen Thai Ngoc Duy:
> Maybe something like this instead of a implemantation fix?

Yes, but...

> diff --git a/Documentation/gitignore.txt b/Documentation/gitignore.txt
> index 8416f34..81e9d43 100644
> --- a/Documentation/gitignore.txt
> +++ b/Documentation/gitignore.txt
> @@ -71,6 +71,8 @@ PATTERN FORMAT
>     matching file excluded by a previous pattern will become
>     included again.  If a negated pattern matches, this will
>     override lower precedence patterns sources.
> +   If a directory is excluded by earlier patterns, negated
> +   patterns that touch files inside the directory will be ignored.
> 
>   - If the pattern ends with a slash, it is removed for the
>     purpose of the following description, but it would only find
> 

... as I already said here:

http://thread.gmane.org/gmane.comp.version-control.git/170907/focus=170916

I think that this is not quite the right place to mention this
restriction. See my proposal in the same post.

-- Hannes